Download it now!
Bug 33605 - Complex Hyperlinks broken in PDF export
Summary: Complex Hyperlinks broken in PDF export
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
3.3.0 RC4
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Stephan Bergmann
URL:
Whiteboard: target:4.2.0 target:4.1.1 target:4.0.5
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-27 09:54 UTC by Rainer Bielefeld Retired
Modified: 2016-01-08 23:21 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
For Details pls see original report (52.97 KB, application/x-zip-compressed)
2011-01-27 09:54 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2011-01-27 09:54:42 UTC
Created attachment 42601 [details]
For Details pls see original report

This is a spin off from 
Bug 33596 - [TASK] Extract PDF Export and Hyperlink handling bugs from original export.

With my "LibreOffice 3.3.0 RC4 - WIN7  Home Premium (64bit) German UI  [OOO330m19 (build 6 / tag 3.3.0.4)]" I was able to confirm following problem from original report in Bug 33596 (Thanks to theWebalyst for his report):

Both Web-Hyperlinks 
- http://theWebalyst.com#id=wab_w
- http://theWebalyst.com

will work from LibO document.

But in PDF Export document, only the second one will work correctly, first one will be completely crippled and lead to somewhere on harddisk, please see attached test kit!
Comment 1 Jorendc 2011-01-28 04:20:12 UTC
Reproduced in Mac OS X, LibreOffice 3.3 final.
Clicking on the first link (pdf) -> no action
Second link -> correct
Comment 2 tester8 2011-06-13 03:16:02 UTC
Reproduced with
Ubuntu 10.04.2 x86
LO 3.4

In pdf link is
file:///home/user/.cache/.fr-5AmuNB/http:%2F%2FtheWebalyst.com%23id=wab_w
Comment 3 theWebalyst 2011-07-14 03:39:07 UTC
UPDATE: Just made another PDF using writer and notice this problem has happened to simple links too (e.g. http://thewebalyst.com) but only in the header and footer. All links in header and footer affected, none elsewhere. 

Not sure if this was true in earlier examples, but worth considering.
Comment 4 theWebalyst 2011-07-14 03:42:17 UTC
(In reply to comment #3)
> UPDATE: Just made another PDF using writer and notice this problem has happened
> to simple links too (e.g. http://thewebalyst.com) but only in the header and
> footer. All links in header and footer affected, none elsewhere. 
> 
> Not sure if this was true in earlier examples, but worth considering.

DELETE THIS - these links are in header and footer, but the are 'complex' too, i.e. contain '#'

Please fix!
Comment 5 Björn Michaelsen 2011-12-23 11:46:52 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 6 sasha.libreoffice 2012-02-23 04:05:40 UTC
reproduced in 3.6.0 master fdb9d72-9eed775-f06126 on Fedora 64 bit
Comment 7 bfoman (inactive) 2013-07-26 12:23:55 UTC
Confirmed with:
LO 4.2.0.0.alfa0
Build ID: 2013-06-24 own debug build 
Windows 7 Professional SP1 64 bit

Still an issue.
Comment 8 Stephan Bergmann 2013-07-26 15:44:07 UTC
The problematic http URLs are ones that have no path but a fragment (e.g., <http://theWebalyst.com#id=wab_w>, but not <http://theWebalyst.com/#id=wab_w>), due to a bug in INetURLObject.
Comment 9 Commit Notification 2013-07-26 15:48:43 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=44ddacb232c4fd5cbb28867aa28d7d855788a511

fdo#33605: Handle http etc. URLs with no path but fragment



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2013-07-26 18:26:08 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b407b33e3e00a54796abc3307dc7f123ce958e75&h=libreoffice-4-1

fdo#33605: Handle http etc. URLs with no path but fragment


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2013-07-26 18:35:55 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ffcc71001927a862be0fdd9f27099b5468c7b37b&h=libreoffice-4-0

fdo#33605: Handle http etc. URLs with no path but fragment


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.